Documentation Index
Fetch the complete documentation index at: https://docs.nexalayer.net/llms.txt
Use this file to discover all available pages before exploring further.
静态订单
静态代理订单用于购买固定 IP 资源,需要指定产品、地区、时长和 IP 数量。
创建静态订单
curl -X POST "https://api.wanyuagent.com/api/open/app/static/order/create/v2" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"orderType": "static_proxy",
"poolId": "ZT_US_New York City_2",
"unitPrice": 10,
"totalAmount": 10,
"remark": "API static order",
"userId": 1001,
"regionCode": "US",
"countryCode": "US",
"cityCode": "New York City",
"staticType": "isp",
"ipCount": 1,
"cycleTimes": 1,
"duration": 30,
"unit": 1
}'
时长规则
unit | 含义 | 常见 duration |
|---|
1 | 天 | 普通静态产品通常为 30;部分静态资源产品支持 30、90、365。 |
3 | 月 | 1、3、6、12;部分静态资源产品支持 1、3、12。 |
4 | 年 | 1。 |
可选字段
| 字段 | 说明 |
|---|
cidrBlocks | CIDR 产品可传 { "cidr": "x.x.x.x/yy", "count": 1 } 数组。 |
assignedIp | 指定单个 IP。 |
assignedIpList | 指定多个 IP。 |
projectId | 共享静态代理产品的项目代码。 |
extBandWidth | 额外带宽。 |
bandWidthPrice | 带宽价格。 |
bridgePrice | 桥接费用。 |
查询静态订单
curl -X GET "https://api.wanyuagent.com/api/open/app/static/order/list/v2?page=1&pageSize=10" \
-H "Authorization: Bearer <token>"
搜索示例:
curl -X GET "https://api.wanyuagent.com/api/open/app/static/order/list/v2?search=STA2026&page=1&pageSize=10" \
-H "Authorization: Bearer <token>"
curl -X GET "https://api.wanyuagent.com/api/open/app/static/order/list/v2?region=New%20York&status=active" \
-H "Authorization: Bearer <token>"
列表响应会返回订单字段;如果已有实例,也会包含 instances,其中包括代理 IP、端口、用户名、密码、状态和到期时间等信息。